Docker Community Forums

Share and learn in the Docker community.

Installation on Ubuntu 18.04 fails

Trying to set the repository with the below command to install the beta engine fails on 18.04 -

$ sudo add-apt-repository “deb [arch=amd64] DOCKER_EE_URL/ubuntu \ (lsb_release -cs)
$DOCKER_EE_VERSION”

Hi Sujay,

It looks like your DOCKER_EE_URL is incorrect. It should be formatted like:

https://storebits.docker.com/ee/linux/sub-{subscriptionid}

instead of what you have which is:

https://storebits.docker.com/ee/m/sub-{subscriptionid}

Thanks David, yes it works fine now after changing to the value you mentioned.

Good afternoon,

I have the same issue, but did not correct this issue
running on vmware 6.5
ubuntu 18.04 bionic
I follow the install steps 3 times from the docker DOCS.
can’t figure it out.
THX sebastien

Could you please gray out your subscription id!

Please follow the instructions included on the Public Beta exercises in Exercises 1.1.1 as opposed to using the install instructions on the beta docs website.

While I had no problem installing I would like to note the warnings

W: Skipping acquire of configured file 'test-19.03/i18n/Translation-en' as repository 'https://storebits.docker.com/ee/linux/sub-<subscripton_uid>/ubuntu bionic InRelease' doesn't have the component 'test-19.03' (component misspelt in sources.list?)

You also get this warning each time you do a apt-get update.